Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Interface ValueFactories

All Superinterfaces:
  Iterable<ValueFactory<?>>

All Known Implementing Classes:
  AbstractValueFactories, StandardValueFactories

    @ThreadSafe
    public interface ValueFactories

extends Iterable<ValueFactory<?>>

The set of standard `ValueFactory` instances.

Method Summary
`BinaryFactory` | `getBinaryFactory()` Get the value factory for `binary` properties.
`ValueFactory<Boolean>` | `getBooleanFactory()` Get the value factory for `boolean` properties.
`DateTimeFactory` | `getDateFactory()` Get the value factory for `date` properties.
`ValueFactory<BigDecimal>` | `getDecimalFactory()` Get the value factory for `decimal` properties.
`ValueFactory<Double>` | `getDoubleFactory()` Get the value factory for `double` properties.
`ValueFactory<Long>` | `getLongFactory()` Get the value factory for `long` properties.
`NameFactory` | `getNameFactory()` Get the value factory for `name` properties.
`ValueFactory<Object>` | `getObjectFactory()` Get the value factory for `object` properties.
`PathFactory` | `getPathFactory()` Get the value factory for `path` properties.
`ReferenceFactory` | `getReferenceFactory()` Get the value factory for `reference` properties.
`ValueFactory<String>` | `getStringFactory()` Get the value factory for `string` properties.
`TypeSystem` | `getTypeSystem()` Get the type system associated with these factories.
`ValueFactory<URI>` | `getUriFactory()` Get the value factory for `URI` properties.
`UuidFactory` | `getUuidFactory()` Get the value factory for `UUID` properties.
`ValueFactory<?>` | `getValueFactory(Object prototype)` Get the value factory that is best able to create values with the most natural type given by the supplied value.
`ValueFactory<?>` | `getValueFactory(PropertyType type)` Get the value factory that creates values of the supplied `type`.
`ReferenceFactory` | `getWeakReferenceFactory()` Get the value factory for `reference` properties.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getTypeSystem

    TypeSystem getTypeSystem()

  Get the type system associated with these factories.

  Returns:
    the type system; never null

### getValueFactory

    ValueFactory<?> getValueFactory(PropertyType type)

  Get the value factory that creates values of the supplied `type`.

  Parameters:
    `type` - the type for the values
  Returns:
    the factory; never null
  Throws:
    `IllegalArgumentException` - if the property type is null

### getValueFactory

    ValueFactory<?> getValueFactory(Object prototype)

  Get the value factory that is best able to create values with the most natural type given by the supplied value.

  Parameters:
    `prototype` - the value that should be used to determine the best value factory
  Returns:
    the factory; never null
  Throws:
    `IllegalArgumentException` - if the prototype value is null

### getStringFactory

    ValueFactory<String> getStringFactory()

  Get the value factory for `string` properties.

  Returns:
    the factory; never null

### getBinaryFactory

    BinaryFactory getBinaryFactory()

  Get the value factory for `binary` properties.

  Returns:
    the factory; never null

### getLongFactory

    ValueFactory<Long> getLongFactory()

  Get the value factory for `long` properties.

  Returns:
    the factory; never null

### getDoubleFactory

    ValueFactory<Double> getDoubleFactory()

  Get the value factory for `double` properties.

  Returns:
    the factory; never null

### getDecimalFactory

    ValueFactory<BigDecimal> getDecimalFactory()

  Get the value factory for `decimal` properties.

  Returns:
    the factory; never null

### getDateFactory

    DateTimeFactory getDateFactory()

  Get the value factory for `date` properties.

  Returns:
    the factory; never null

### getBooleanFactory

    ValueFactory<Boolean> getBooleanFactory()

  Get the value factory for `boolean` properties.

  Returns:
    the factory; never null

### getNameFactory

    NameFactory getNameFactory()

  Get the value factory for `name` properties.

  Returns:
    the factory; never null

### getReferenceFactory

    ReferenceFactory getReferenceFactory()

  Get the value factory for `reference` properties.

  Returns:
    the factory; never null

### getWeakReferenceFactory

    ReferenceFactory getWeakReferenceFactory()

  Get the value factory for `reference` properties.

  Returns:
    the factory; never null

### getPathFactory

    PathFactory getPathFactory()

  Get the value factory for `path` properties.

  Returns:
    the factory; never null

### getUriFactory

    ValueFactory<URI> getUriFactory()

  Get the value factory for `URI` properties.

  Returns:
    the factory; never null

### getUuidFactory

    UuidFactory getUuidFactory()

  Get the value factory for `UUID` properties.

  Returns:
    the factory; never null

### getObjectFactory

    ValueFactory<Object> getObjectFactory()

  Get the value factory for `object` properties.

  Returns:
    the factory; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.